### Method

# Gio SimpleActionGroup add_entries

deprecated: 2.38 since: 2.30

#### Declaration

    void
    g_simple_action_group_add_entries (
      GSimpleActionGroup* simple,
      const GActionEntry* entries,
      gint n_entries,
      gpointer user_data
    )

#### Description

A convenience function for creating multiple `GSimpleAction` instances and adding them to the action group.

Available since: 2.30

Deprecated since: 2.38

Use g_action_map_add_action_entries().

#### Parameters

`entries`

  Type: An array of `GActionEntry`

  A pointer to the first item in an array of `GActionEntry` structs.

  The length of the array is specified in the `n_entries` argument.
  The data is owned by the caller of the method.

`n_entries`

  Type: `gint`

  The length of `entries`, or -1.

`user_data`

  Type: `gpointer`

  The user data for signal connections.

  The argument can be `NULL`.
  The data is owned by the caller of the method.